/* PointProcess_def.h */
/* Paul Boersma, October 11, 1995 */


#define ooSTRUCT PointProcess
oo_DEFINE_CLASS (PointProcess, Function)

	#if oo_DECLARING || oo_COPYING
		oo_LONG (maxnt)
	#endif

	oo_LONG (nt)

	#if oo_COPYING
		oo_DOUBLE_VECTOR (t, my maxnt)
	#elif oo_READING
		if (my nt) {
			my maxnt = my nt;
			oo_DOUBLE_VECTOR (t, my nt)
		} else {
			my maxnt = 1;
			if (! (my t = NUMdvector (1, 1))) return 0;
		}
	#else
		oo_DOUBLE_VECTOR (t, my nt)
	#endif

oo_END_CLASS (PointProcess)
#undef ooSTRUCT


/* End of file PointProcess_def.h */
